> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.nocodemapapp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a Map

> Retrieve one map that you created



## OpenAPI

````yaml GET /v0/map/{mapId}
openapi: 3.0.1
info:
  title: OpenAPI NCMA API
  description: A sample API
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://realtime.nocodemapapp.com
security:
  - bearerAuth: []
paths:
  /v0/map/{mapId}:
    get:
      description: Retrieve one map that you created
      parameters:
        - name: mapId
          in: path
          description: ID of the map to retrieve
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Map retrieved
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/Map'
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Map:
      required:
        - name
      type: object
      properties:
        id:
          description: The ID of Map
          type: string
          example: a1b2b33b4b123
        name:
          description: The name of Map
          type: string
          example: All Podcast story locations
        isDeleted:
          description: True if Map is deleted
          type: boolean
          example: false
        createdAt:
          description: Timestamp when this map was created
          type: string
          example: '2024-02-05T15:24:11.000Z'
        isPublished:
          description: True if this map is published to public
          type: boolean
          example: false
        googleMapApiKey:
          description: Google Maps API Key for loading this map
          type: string
          example: AIzaSy123456789123456789123456789
        geocodingApiKey:
          description: >-
            Google Maps API key for all geocoding required when importing
            locations.
          type: string
          example: AIzaSy123456789123456789123456789
        fields:
          type: array
          items:
            $ref: '#/components/schemas/Field'
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
    Field:
      required:
        - name
        - type
      type: object
      properties:
        name:
          type: string
          example: Name
        type:
          enum:
            - text
            - date
            - tag
            - cta
            - audio
            - website
            - phone
            - address
            - description
            - image_link
            - category
            - placeName
            - number
          example: text
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````